Package org.springframework.context.event

# Class ApplicationContextEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.context.event.ApplicationContextEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ContextClosedEvent`, `ContextRefreshedEvent`, `ContextStartedEvent`, `ContextStoppedEvent`

public abstract class ApplicationContextEvent extends ApplicationEvent
Base class for events raised for an `ApplicationContext`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ApplicationContextEvent(ApplicationContext source)`
Create a new `ApplicationContextEvent`.

## Method Summary

Modifier and Type
Method
Description
`final ApplicationContext`
`getApplicationContext()`
Get the `ApplicationContext` that the event was raised for.

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ApplicationContextEvent

public ApplicationContextEvent(ApplicationContext source)
Create a new `ApplicationContextEvent`.

Parameters:
  `source` - the `ApplicationContext` that the event is raised for (must not be `null`)

## Method Details

### getApplicationContext

public final ApplicationContext getApplicationContext()
Get the `ApplicationContext` that the event was raised for.